This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 998860 - session-migration: Task tables are not compatible.
session-migration: Task tables are not compatible.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 6.0.0
Assigned To: Mauricio Salatino
Marek Baluch
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 05:02 EDT by Marek Baluch
Modified: 2014-08-06 16:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack-trace (35.34 KB, text/plain)
2013-08-20 05:02 EDT, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2013-08-20 05:02:35 EDT
Created attachment 788387 [details]
stack-trace

Description of problem:

The new TaskImpl class uses the 'taskId' attribute as id. The old one used just 'id'. This prevents the creation of e.g. LocalTaskService which fails with error 'ERROR: column taskimpl0_.taskid does not exist'.

See attached log for full stack-trace.
Comment 1 Mauricio Salatino 2013-09-05 11:35:53 EDT
Ok this is related with this fix: https://github.com/droolsjbpm/jbpm/commit/9b274ffa840ad0e56fb552b1f6384a9f9627e260

I can try reverting the Column names to see if that fixes the problem and a migration script can be avoided.
Comment 2 Mauricio Salatino 2013-09-05 11:56:09 EDT
Fixed in master: https://github.com/droolsjbpm/jbpm/commit/d2a5d57e45146386409901d434ed5583981e8f9f

It will be backported to 6.0.x
Comment 6 Marek Baluch 2013-10-18 06:17:30 EDT
Verified on ER4.

Note You need to log in before you can comment on or make changes to this bug.